Bug 618638 - Review Request: perl-Package-DeprecationManager - Manage deprecation warnings for your distribution
Review Request: perl-Package-DeprecationManager - Manage deprecation warnings...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-27 08:45 EDT by Paul Howarth
Modified: 2011-04-01 12:26 EDT (History)
2 users (show)

See Also:
Fixed In Version: perl-Package-DeprecationManager-0.10-3.el4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-02 22:19:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mmaslano: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Paul Howarth 2010-07-27 08:45:29 EDT
Spec URL: http://subversion.city-fan.org/repos/cfo-repo/perl-Package-DeprecationManager/branches/fedora/perl-Package-DeprecationManager.spec
SRPM URL: http://www.city-fan.org/~paul/extras/perl-Package-DeprecationManager/perl-Package-DeprecationManager-0.04-2.fc14.src.rpm

Description:
This module allows you to manage a set of deprecations for one or more modules.

When you import Package::DeprecationManager, you must provide a set of
-deprecations as a hash ref. The keys are "feature" names, and the values are
the version when that feature was deprecated.

This package is needed for Class::MOP 1.04.
Comment 1 Marcela Mašláňová 2010-07-28 04:20:17 EDT
- rpmlint checks return:

- package meets naming guidelines OK
- package meets packaging guidelines OK
- license (Artistic 2.0) OK, text in %doc, matches source OK
- spec file legible, in am. english OK
- source matches upstream bc1d60d004b8b4d6aa8c11f3c4ccbc5f OK
- package compiles on devel (x86) OK
http://koji.fedoraproject.org/koji/taskinfo?taskID=2355937
- no missing BR OK
- no unnecessary BR OK
- no locales OK
- not relocatable OK
- owns all directories that it creates OK
- no duplicate files OK
- permissions ok OK
- %clean ok OK
- macro use consistent OK
- code, not content OK
- no need for -docs OK
- nothing in %doc affects runtime OK
- no need for .desktop file  OK

Comments: 
Kwalitee tests don't have to run.
Patches should be sent to upstream, but I suppose your patch make this module work with older releases in EPEL, so they won't be applied in upstream anyway.
Comment 2 Paul Howarth 2010-07-28 04:59:01 EDT
(In reply to comment #1)
> Comments: 
> Kwalitee tests don't have to run.

I'll drop the BR: on Test::Kwalitee if they start failing down the line

> Patches should be sent to upstream, but I suppose your patch make this module
> work with older releases in EPEL, so they won't be applied in upstream anyway.

Correct.

Thanks for the review Marcela

New Package CVS Request
=======================
Package Name: perl-Package-DeprecationManager
Short Description: Manage deprecation warnings for your distribution
Owners: pghmcfc
Branches: EL-5 EL-6 F-12 F-13
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2010-07-30 16:37:08 EDT
GIT done (by process-cvs-requests.py).

with f14 branch added.
Comment 4 Fedora Update System 2010-08-02 07:06:22 EDT
perl-Package-DeprecationManager-0.04-2.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/perl-Package-DeprecationManager-0.04-2.fc14
Comment 5 Fedora Update System 2010-08-02 07:08:19 EDT
perl-Package-DeprecationManager-0.04-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-Package-DeprecationManager-0.04-2.fc12
Comment 6 Fedora Update System 2010-08-02 07:08:27 EDT
perl-Package-DeprecationManager-0.04-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/perl-Package-DeprecationManager-0.04-2.el5
Comment 7 Fedora Update System 2010-08-02 07:08:33 EDT
perl-Package-DeprecationManager-0.04-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-Package-DeprecationManager-0.04-2.fc13
Comment 8 Fedora Update System 2010-08-02 22:19:18 EDT
perl-Package-DeprecationManager-0.04-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2010-08-17 01:33:17 EDT
perl-Package-DeprecationManager-0.04-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2010-08-17 01:44:13 EDT
perl-Package-DeprecationManager-0.04-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2010-08-17 14:54:25 EDT
perl-Package-DeprecationManager-0.04-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Paul Howarth 2011-03-14 09:23:31 EDT
Package Change Request
======================
Package Name: perl-Package-DeprecationManager
New Branches: EL-4
Owners: pghmcfc
Comment 13 Jason Tibbitts 2011-03-14 11:37:01 EDT
Git done (by process-git-requests).
Comment 14 Fedora Update System 2011-03-16 16:49:06 EDT
perl-Package-DeprecationManager-0.10-3.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/perl-Package-DeprecationManager-0.10-3.el4
Comment 15 Fedora Update System 2011-04-01 12:26:26 EDT
perl-Package-DeprecationManager-0.10-3.el4 has been pushed to the Fedora EPEL 4 stable repository.

Note You need to log in before you can comment on or make changes to this bug.